love.graphics.setNewFont(20)
local LH = love.graphics.getFont():getHeight()

function love.draw()
	love.graphics.print(love.system.getOS(), 10, 0)

	for y = 0, 20 do
		local t = love.timer.getTime()
		love.timer.sleep(y / 1000)
		t = 1000 * (love.timer.getTime() - t)

		if math.abs(y - t) > .5 then
			love.graphics.setColor(1, 0, 0)
		end

		love.graphics.print(("%2.1f: %2.1f ms"):format(y, t), 10, (y + 1) * LH)
		love.graphics.setColor(1, 1, 1)
	end
end
